Cannot add a Google account using Online Accounts in Ubuntu Gnome

Bug #1687019 reported by mbrennwa on 2017-04-28
340
This bug affects 67 people
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
High
Unassigned
WebKit
Fix Released
Critical
gnome-online-accounts
Unknown
Medium
webkit2gtk (Debian)
Fix Released
Unknown
webkit2gtk (Ubuntu)
High
Unassigned
Xenial
High
Unassigned
Yakkety
High
Unassigned
Zesty
High
Unassigned

Bug Description

Impact
-----
Users will be unable to log in to a Google account using GNOME Online Account which is used by default in Ubuntu GNOME and Ubuntu Budgie.

Any other browser or service that uses webkit2gtk is similarly broken, such as the Epiphany browser.

The second issue fixed here is that any user who opted in to the new YouTube will only get a white screen when they attempt to visit YouTube. The new YouTube is still opt-in now but will eventually become the default for everyone.

Test Case
---------
1. Install the updated webkit2gtk on Ubuntu GNOME.
2. Restart your computer (this may be necessary because of LP: #1610944)
3. Log in. Open Settings>Online Accounts. Remove any Google accounts already configured. Add your Google account.
4. Install Evolution if it's not already installed and verify that your Gmail account loads.

Optional, because the beta is closed to new entrants:
5. Install epiphany-browser
6. Open the Web app (epiphany-browser) and log in to your Google account.
7. Visit https://www.google.com/new to make sure that your browser is set to use the "new YouTube."
8. If the new YouTube only shows a white screen, this part of the bug is not fixed.

Regression Potential
--------------------
The regression potential was limited by only cherry-picking the commits to fix these 2 high-profile issues. 2.16.2 is being rolled out to most distros now.

Other Info
----------
Fixed in 17.10 Alpha "artful" by updating to 2.16.2

Original Bug Report
-------------------
With Ubuntu Gnome 17.04 (brand new 64bit install on a Dell XPS13 laptop), I cannot add a Google account using Online-Accounts. If I choose to add a new Google account in Online Accounts, a window appears where I can enter my Google email. After entering my email and pressing the Next button, a window appears where I can enter my Google password. After entering the password and pressing the Next button, an empty window appears and nothing else happens. I expected this to show something useful, and actually add the Google account to my Gnome environment.

Paul White (paulw2u) on 2017-04-28
affects: ubuntu → gnome-online-accounts (Ubuntu)
tags: added: zesty
mbrennwa (mbrennwa) wrote :

It looks like I am not the only one with this problem:
https://ubuntuforums.org/showthread.php?t=2359809

Let me know if/how I can provide any additional information to help with this bug.

frenchy82 (cartes) wrote :

Same problem here with ubutuntu 16.04 and 17.04 gnome
I've tried too with manjaro (gnome) and had same issue

But this is working with the google account in unity controle center

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-online-accounts (Ubuntu):
status: New → Confirmed
Wayne Stark (wastark-gmail) wrote :

This is not just Ubuntu-Gnome, Unity is the same.

Dan Dale (speediedan) wrote :

If it helps, I had success configuring a Google account with GOA on Unity yesterday afternoon. Today, setting up the same with Ubuntu-Gnome no longer works.

Mateusz Mikuła (mati865) wrote :

It's probably upstream issue as GNOME on Arch Linux also have this bug.

Kevin Molina (kevinmolina) wrote :

I am having the same problem with google accounts as well on Ubuntu 16.04. Look forward this can be solved.

mbrennwa (mbrennwa) wrote :

Looking at the Arch Linux bug reports for gnome-online-accounts https://bugs.archlinux.org/?project=1&cat%5B%5D=2&string=gnome-online-accounts I could not see which report would correspond to this one. I Arch really does have the same bug, we should probably report this upstream.

In the meantime, does anyone know how to add Google accounts for syncing? Will Unity really allow me to configure syncing in GNOME? The missing sync is a real show stopper for me!

cueball (adam-adamoxford) wrote :

Confirm here. Also similar experience to @speediedan - It was working until recently, something has changed recently (I was setting up a new machine and hit this bug, so double checked if I could add a second account to a Dell XPS 13 which is already syncing with one account).

I suspect it's something to do with Google's new login page which is currently rolling out. Let me know if I can add any relevant reports.

mbrennwa (mbrennwa) wrote :

Here are two new observations on this issue:

(1) After my brand new install of 17.04, I wiped the entire hard drive of my computer and re-installed 16.10 / Gnome. Online Accounts worked as expected for a while, then the bug came back as described in my initial post. So it seems this is not related to 17.04 only, as described above by others.

(29 I have three different Google accounts. I can get one of these accounts working with Online Accounts, but not the other two. The difference of the working account to the others is that when I choose to add a new Google account in Online Accounts, this particular account is shown as the default in the login window. Online Accounts seems to remember this account somehow (or is it Google that remembers?):
   - If I accept to proceed with this default account, I am not prompted to enter my Google password for this account, and I immediately get the window telling me what kind of information will be accessed from Google. Then I can add the account to Online Accounts, and it syncs fine in Gnome.
   - If I choose a different account, I am prompted to enter the account name and password. Then I get the blank window as described above.

It seems to me that either Online Accounts is not able to display the Google stuff following the login / password entries, which might be different to what is displayed with that "default account". This might be in line with the idea of an issue with Google's new login window. Also post 2 at https://ubuntuforums.org/showthread.php?t=2333382 mentions some WebKit / GTK issues; could this be related?

Joey Andres (joeyandres) wrote :

Confirmed with a new machine. I tried this with ubuntu 16.04 and 17.04, kept getting the same result, a blank modal dialogue after typing the password. See the attached screenshot.

mbrennwa (mbrennwa) wrote :

I reported this upstream (here: https://bugzilla.gnome.org/show_bug.cgi?id=781990 )

Matt (matt-bailey4179) wrote :

I am also have the issue of blank screen. I tried a fresh install of Fedora out of curiosity and worked perfect.

Jakub Černý (kaossik) wrote :

Fresh installation of Ubuntu 16.04 and got the same problem.

cueball (adam-adamoxford) wrote :

@mbrennwa that seems likely (display issue) There was a similar bug a while ago that was a rendering issue: https://bugs.launchpad.net/ubuntu/+source/gnome-online-accounts/+bug/1309247

Also, there have been recent updates to Gnome's Javascript engine iirc

Denis Lochman (denis-lochman) wrote :

Installed Ubuntu GNOME 16.04 yesterday. Same problem. I get blank window after password. Not sure if if matters, but I'm using 2-step verification on my Google account.

Pavel Biely (jakubapptocl) wrote :

I got Ubuntu 16.04 and same problem, but I do not use 2 step verification, still got same problem.

I have the same problem, I made a new install of Ubuntu Gnome 17.04 and discovered this. Not only Online Accounts but the Thunderbird doesn't work as well.

I just found a temporary solution for GOA: https://askubuntu.com/questions/909716/cant-add-google-account-on-ubuntu-gnome-17-04/910180#910180

But not for Thunderbird yet.

Jeremy Bicha (jbicha) on 2017-05-04
Changed in gnome-online-accounts (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
affects: gnome-online-accounts (Arch Linux) → gnome-online-accounts
Changed in gnome-online-accounts:
importance: Undecided → Unknown
status: New → Unknown
Jeremy Bicha (jbicha) on 2017-05-04
Changed in ubuntu-gnome:
importance: Undecided → High
status: New → Triaged
milestone: none → artful
tags: added: gnome-1710
Changed in gnome-online-accounts:
importance: Unknown → Critical
status: Unknown → Confirmed
Rifester (rife-mark) wrote :

Can confirm this on new 17.04 and 17.10 installs.

Jesse (jessedubord) wrote :

Confirm on my Ubuntu GNOME 17.04 machines, too. Seems to be stemming from Google's new sign-on page. GOA, Ephiphany, and Thunderbird 45.8.0 all get similar errors, now, when trying to access a user's Google account. Tsk tsk, Google.

Tobias (tsrgbg) wrote :

Confirm that as well with clean install of Ubuntu gnome 17.04 yesterday, but maybe can give little support...
Before I decided to install I tried via Live-USB Stick and also connected to my google account.
Worked like a charm! Login-Screen that opened from Google was the old one!
After I installed ubuntu and wanted to creat again it didnt work again and ubuntu offered me new login screen.
I did a quick web search and found an interesting information here:
https://support.google.com/accounts/answer/7338427?co=GENIE.Platform%3DDesktop&hl=en

See the following:

You might still see the old sign-in page in these cases:
You use an older version of a browser
You've turned off JavaScript

Jeremy Bicha (jbicha) on 2017-05-05
Changed in gnome-online-accounts (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → High
Changed in gnome-online-accounts (Ubuntu Yakkety):
importance: Undecided → High
status: New → Triaged
Changed in gnome-online-accounts (Ubuntu Zesty):
importance: Undecided → High
status: New → Triaged
frenchy82 (cartes) wrote :

@Marcel Balciunas : For thunderbird, you have to install the 52.1 version. There is no problem to add a gmail account.

Goyo (goyodiaz) wrote :

Should we file separate bugs for other applications affected like epiphany? Pretty sure the underlying cause lies in some common component but workarounds might be different. Disabling javascript in epiphany should bring back the old login window but the UI for that was removed years ago (because it was a "Please break my web" preference in disguise, how ironic) and even the enable-javascript key in gsettins seems to be gone.

cl-netbox (cl-netbox) wrote :

I added more information to the existing bug report :
https://bugzilla.gnome.org/show_bug.cgi?id=782191#c1

Jeremy Bicha (jbicha) on 2017-05-06
tags: added: gnome-17.10 xenial yakkety
removed: gnome-1710
frenchy82 (cartes) wrote :

Maybe an interesting comment in the redhat beug report

https://bugzilla.redhat.com/show_bug.cgi?id=1446817#c10

Goyo (goyodiaz) wrote :

Looks like this has been fixed in webkitgtk
https://bugs.webkit.org/show_bug.cgi?id=171770

Jeremy Bicha (jbicha) on 2017-05-07
affects: gnome-online-accounts (Ubuntu) → webkit2gtk (Ubuntu)
Changed in webkit-open-source:
importance: Unknown → Critical
status: Unknown → Fix Released
Ben (benjamin-o7p) wrote :

Anyone can explain how to install the fix ?
Thanks

Jeremy Bicha (jbicha) wrote :

Ben, I expect there will be a new webkit2gtk release soon, which we will prepare for Ubuntu right after that. Unless an exception is granted, Stable Release Updates are tested for 7 days before they are made available to all Ubuntu users.

Jeremy Bicha (jbicha) on 2017-05-09
Changed in webkit2gtk (Ubuntu):
status: Triaged → Fix Committed
Jeremy Bicha (jbicha) on 2017-05-09
description: updated
Changed in webkit2gtk (Ubuntu Zesty):
status: Triaged → In Progress
Jeremy Bicha (jbicha) on 2017-05-09
Changed in webkit2gtk (Ubuntu Xenial):
status: Triaged → In Progress
Changed in webkit2gtk (Ubuntu Yakkety):
status: Triaged → In Progress
Changed in ubuntu-gnome:
status: Triaged → Fix Committed

With Ubuntu Gnome 17.04 (brand new 64bit install on a Dell XPS13 laptop), I cannot add a Google account using Online-Accounts. If I choose to add a new Google account in Online Accounts, a window appears where I can enter my Google email. After entering my email and pressing the Next button, a window appears where I can enter my Google password. After entering the password and pressing the Next button, an empty window appears and nothing else happens. I expected this to show something useful, and actually add the Google account to my Gnome environment.

Hello mbrennwa, or anyone else affected,

Accepted webkit2gtk into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/webkit2gtk/2.16.1-1ubuntu0.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in webkit2gtk (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in webkit2gtk (Ubuntu Yakkety):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello mbrennwa, or anyone else affected,

Accepted webkit2gtk into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/webkit2gtk/2.16.1-0ubuntu0.16.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello mbrennwa, or anyone else affected,

Accepted webkit2gtk into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/webkit2gtk/2.16.1-0ubuntu0.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in webkit2gtk (Ubuntu Xenial):
status: In Progress → Fix Committed
Download full text (4.5 KiB)

Hello Lukasz Zemczak,

                  I'm one of the subscribers to the bug report. Thank you
for the updated package,
but I'm a newbie to ubuntu and I don't know how to install a tar.xz
package. I found steps involving
make install commands, however I coudn't find a config file or INSTALL
file. I would appreciate it
if you could spare some time to explain how to install the package.

Regards
Rohith

On Tue, May 9, 2017 at 8:45 PM, Łukasz Zemczak <email address hidden>
wrote:

> Hello mbrennwa, or anyone else affected,
>
> Accepted webkit2gtk into xenial-proposed. The package will build now and
> be available at
> https://launchpad.net/ubuntu/+source/webkit2gtk/2.16.1-0ubuntu0.16.04.2
> in a few hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
> to enable and use -proposed.Your feedback will aid us getting this
> update out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested, and change the tag
> from verification-needed to verification-done. If it does not fix the
> bug for you, please add a comment stating that, and change the tag to
> verification-failed. In either case, details of your testing will help
> us make a better decision.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance!
>
> ** Changed in: webkit2gtk (Ubuntu Xenial)
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1687019
>
> Title:
> Cannot add a Google account using Online Accounts in Ubuntu Gnome
>
> Status in gnome-online-accounts:
> Confirmed
> Status in Ubuntu GNOME:
> Fix Committed
> Status in WebKit:
> Fix Released
> Status in webkit2gtk package in Ubuntu:
> Fix Committed
> Status in webkit2gtk source package in Xenial:
> Fix Committed
> Status in webkit2gtk source package in Yakkety:
> Fix Committed
> Status in webkit2gtk source package in Zesty:
> Fix Committed
>
> Bug description:
> Impact
> -----
> Users will be unable to log in to a Google account using GNOME Online
> Account which is used by default in Ubuntu GNOME and Ubuntu Budgie.
>
> Any other browser or service that uses webkit2gtk is similarly broken,
> such as the Epiphany browser.
>
> The second issue fixed here is that any user who opted in to the new
> YouTube will only get a white screen when they attempt to visit
> YouTube. The new YouTube is still opt-in now but will eventually
> become the default for everyone.
>
> Test Case
> ---------
> 1. Install the updated webkit2gtk on Ubuntu GNOME.
> 2. Restart your computer (this may be necessary because of LP: #1610944)
> 3. Log in. Open Settings>Online Accounts. Remove any Google accounts
> already configured. Add your Google account.
> 4. Install Evolution if it's not already installed and verify that your
> Gmail account loads.
>
> Optional, because...

Read more...

Mateusz Mikuła (mati865) wrote :

Rohith Rajasekharan you have to wait for build to finish and then install .deb files with dpkg.
I'll check Zesty amd64 pacakge around 21-22 UTC.

frenchy82 (cartes) wrote :

I can now add my google account with gnome online account on ubuntu xenial 16.04

with webkit2gtk 2.16.1-0ubuntu0.16.04.2 from proposed

Thanks to the devs.

Goyo (goyodiaz) wrote :

Tested in Zesty. I can login to my google account with both epiphany and GOA. Everything seems to be working, including new youtube.

Goyo (goyodiaz) wrote :

Sorry, webkit2gtk 2.16.1-1ubuntu0.17.04.1, zesty, amd64.

Krešo Kunjas (deresh) wrote :

Also works for me. GOA now properly gains auth token.

Thanx!

Mateusz Mikuła (mati865) wrote :

Confirmed proposed Zesty amd64 build to resolve issue.

Only Yakkety is missing confirmation right now.

Joey Andres (joeyandres) wrote :

Confirmed that the new proposed webkit fix the issue!!! Thanks!!!

Jeremy Bicha (jbicha) on 2017-05-09
tags: added: verification-done
removed: verification-needed
Jeremy Bicha (jbicha) wrote :

I personally installed the updated webkit2gtk on Ubuntu GNOME amd64 16.04 (2.16.1-0ubuntu0.16.04.2), 16.10 (2.16.1-0ubuntu0.16.10.2) and 17.04 (2.16.1-1ubuntu0.17.04.1). I performed the test case and verified that I could
1) add my Google account in GNOME Online Accounts and it worked in Evolution
2) log in to Google from Epiphany
3) use the "new YouTube" in Epiphany

Thank you to everyone who has helped verify the fixes for this bug. The usual policy is that bug fixes for stable releases wait for at least 7 days before being made available to everyone using normal updates.

Changed in gnome-online-accounts:
importance: Critical → Medium
status: Confirmed → Unknown
Evan Phelps (evan-phelps) wrote :

Success on Zesty:

libwebkit2gtk-4.0-37
2.16.1-1ubuntu0.17.04.1
zesty, amd64

mbrennwa (mbrennwa) wrote :

Installed webkit/gtk 4.0-37 from proposed on Zesty/17.04. Now works as expected. Thanks!

Download full text (3.2 KiB)

Hello there,
       Since I'm new to ubuntu, could you please tell me how you guys
tested
or installed the proposed webkit/gtk 4.0-37 on zesty/17.04. It would be
really
helpful.

On Wed, May 10, 2017 at 11:09 AM, mbrennwa <email address hidden> wrote:

> Installed webkit/gtk 4.0-37 from proposed on Zesty/17.04. Now works as
> expected. Thanks!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1687019
>
> Title:
> Cannot add a Google account using Online Accounts in Ubuntu Gnome
>
> Status in gnome-online-accounts:
> Unknown
> Status in Ubuntu GNOME:
> Fix Committed
> Status in WebKit:
> Fix Released
> Status in webkit2gtk package in Ubuntu:
> Fix Committed
> Status in webkit2gtk source package in Xenial:
> Fix Committed
> Status in webkit2gtk source package in Yakkety:
> Fix Committed
> Status in webkit2gtk source package in Zesty:
> Fix Committed
>
> Bug description:
> Impact
> -----
> Users will be unable to log in to a Google account using GNOME Online
> Account which is used by default in Ubuntu GNOME and Ubuntu Budgie.
>
> Any other browser or service that uses webkit2gtk is similarly broken,
> such as the Epiphany browser.
>
> The second issue fixed here is that any user who opted in to the new
> YouTube will only get a white screen when they attempt to visit
> YouTube. The new YouTube is still opt-in now but will eventually
> become the default for everyone.
>
> Test Case
> ---------
> 1. Install the updated webkit2gtk on Ubuntu GNOME.
> 2. Restart your computer (this may be necessary because of LP: #1610944)
> 3. Log in. Open Settings>Online Accounts. Remove any Google accounts
> already configured. Add your Google account.
> 4. Install Evolution if it's not already installed and verify that your
> Gmail account loads.
>
> Optional, because the beta is closed to new entrants:
> 5. Install epiphany-browser
> 6. Open the Web app (epiphany-browser) and log in to your Google account.
> 7. Visit https://www.google.com/new to make sure that your browser is
> set to use the "new YouTube."
> 8. If the new YouTube only shows a white screen, this part of the bug is
> not fixed.
>
> Regression Potential
> --------------------
> The regression potential was limited by only cherry-picking the commits
> to fix these 2 high-profile issues. 2.16.2 is being rolled out to most
> distros now.
>
> Other Info
> ----------
> Fixed in 17.10 Alpha "artful" by updating to 2.16.2
>
> Original Bug Report
> -------------------
> With Ubuntu Gnome 17.04 (brand new 64bit install on a Dell XPS13
> laptop), I cannot add a Google account using Online-Accounts. If I choose
> to add a new Google account in Online Accounts, a window appears where I
> can enter my Google email. After entering my email and pressing the Next
> button, a window appears where I can enter my Google password. After
> entering the password and pressing the Next button, an empty window appears
> and nothing else happens. I expected this to show something useful, and
> actually add the Google account to my Gnome environment.
>
> To manage notifica...

Read more...

Micheal Shallop (mshallop) wrote :

Fresh ubuntu-gnome 16.04.2 install and I am seeing the blank screen after logging into gmail account... cannot complete the process to activate the account.

Micheal Shallop (mshallop) wrote :

Forgot to add this info:

libwebkit2gtk-4.0-37 is already the newest version (2.16.1-0ubuntu0.16.04.1).
libwebkit2gtk-4.0-37-gtk2 is already the newest version (2.16.1-0ubuntu0.16.04.1).

Brian Murray (brian-murray) wrote :

@Micheal Shallop - that is not the fixed version.

The verification of the Stable Release Update for webkit2gtk has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webkit2gtk - 2.16.1-0ubuntu0.16.04.2

---------------
webkit2gtk (2.16.1-0ubuntu0.16.04.2) xenial; urgency=medium

  * Add fix-google-login.patch:
    - Backport from 2.16.2 to fix Google login in Epiphany, GNOME Online
      Accounts, etc. (LP: #1687019)
  * Add fix-new-youtube.patch:
    - Backport from 2.16.2 to fix the new (May 2017 opt-in) YouTube

 -- Jeremy Bicha <email address hidden> Tue, 09 May 2017 09:58:46 -0400

Changed in webkit2gtk (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webkit2gtk - 2.16.1-1ubuntu0.17.04.1

---------------
webkit2gtk (2.16.1-1ubuntu0.17.04.1) zesty; urgency=medium

  * Add fix-google-login.patch:
    - Backport from 2.16.2 to fix Google login in Epiphany, GNOME Online
      Accounts, etc. (LP: #1687019)
  * Add fix-new-youtube.patch:
    - Backport from 2.16.2 to fix the new (May 2017 opt-in) YouTube

 -- Jeremy Bicha <email address hidden> Mon, 08 May 2017 14:17:20 -0400

Changed in webkit2gtk (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webkit2gtk - 2.16.1-0ubuntu0.16.10.2

---------------
webkit2gtk (2.16.1-0ubuntu0.16.10.2) yakkety; urgency=medium

  * Add fix-google-login.patch:
    - Backport from 2.16.2 to fix Google login in Epiphany, GNOME Online
      Accounts, etc. (LP: #1687019)
  * Add fix-new-youtube.patch:
    - Backport from 2.16.2 to fix the new (May 2017 opt-in) YouTube

 -- Jeremy Bicha <email address hidden> Tue, 09 May 2017 09:56:08 -0400

Changed in webkit2gtk (Ubuntu Yakkety):
status: Fix Committed → Fix Released
sheme_sheme (ahmedsheme) on 2017-05-11
Changed in webkit2gtk (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) wrote :

sheme_sheme, I'm reopening the remaining task since this isn't completely fixed in Ubuntu 17.10 Alpha yet because of an autopkgtest failure in another package.

Changed in webkit2gtk (Ubuntu):
status: Fix Released → Fix Committed
Changed in ubuntu-gnome:
status: Fix Committed → Fix Released
milestone: artful → none
Download full text (3.7 KiB)

Hello Brian,
       Happy to hear that the verification has been completed successfully.
Could you please tell me where I can find the .deb file of the package. I'm
new to Ubuntu and I was having trouble installing the proposed package.
Please help.
On May 12, 2017 12:21 AM, "Brian Murray" <email address hidden> wrote:

> The verification of the Stable Release Update for webkit2gtk has
> completed successfully and the package has now been released to
> -updates. Subsequently, the Ubuntu Stable Release Updates Team is being
> unsubscribed and will not receive messages about this bug report. In
> the event that you encounter a regression using the package from
> -updates please report a new bug using ubuntu-bug and tag the bug report
> regression-update so we can easily find any regressions.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1687019
>
> Title:
> Cannot add a Google account using Online Accounts in Ubuntu Gnome
>
> Status in gnome-online-accounts:
> Unknown
> Status in Ubuntu GNOME:
> Fix Committed
> Status in WebKit:
> Fix Released
> Status in webkit2gtk package in Ubuntu:
> Fix Committed
> Status in webkit2gtk source package in Xenial:
> Fix Released
> Status in webkit2gtk source package in Yakkety:
> Fix Released
> Status in webkit2gtk source package in Zesty:
> Fix Released
>
> Bug description:
> Impact
> -----
> Users will be unable to log in to a Google account using GNOME Online
> Account which is used by default in Ubuntu GNOME and Ubuntu Budgie.
>
> Any other browser or service that uses webkit2gtk is similarly broken,
> such as the Epiphany browser.
>
> The second issue fixed here is that any user who opted in to the new
> YouTube will only get a white screen when they attempt to visit
> YouTube. The new YouTube is still opt-in now but will eventually
> become the default for everyone.
>
> Test Case
> ---------
> 1. Install the updated webkit2gtk on Ubuntu GNOME.
> 2. Restart your computer (this may be necessary because of LP: #1610944)
> 3. Log in. Open Settings>Online Accounts. Remove any Google accounts
> already configured. Add your Google account.
> 4. Install Evolution if it's not already installed and verify that your
> Gmail account loads.
>
> Optional, because the beta is closed to new entrants:
> 5. Install epiphany-browser
> 6. Open the Web app (epiphany-browser) and log in to your Google account.
> 7. Visit https://www.google.com/new to make sure that your browser is
> set to use the "new YouTube."
> 8. If the new YouTube only shows a white screen, this part of the bug is
> not fixed.
>
> Regression Potential
> --------------------
> The regression potential was limited by only cherry-picking the commits
> to fix these 2 high-profile issues. 2.16.2 is being rolled out to most
> distros now.
>
> Other Info
> ----------
> Fixed in 17.10 Alpha "artful" by updating to 2.16.2
>
> Original Bug Report
> -------------------
> With Ubuntu Gnome 17.04 (brand new 64bit install on a Dell XPS13
> laptop), I cannot add a Google account using Online-Accounts. If I choose
> to a...

Read more...

Do you have an estiamte, when will the package will move from proposed to a full release in Ubuntu 16.04?

Jesse (jessedubord) wrote :

Just tested the fixed/updated packages on Ubuntu GNOME 17.04. It worked this morning on one of my machines, but it isn't working on another -- still getting a white screen, even after installing the updated packages and restarting. Bug still affects GOA and Epiphany (as far as I've tested).

I've included a screenshot of the white screen after I enter the password and click "Next" on GNOME Online Accounts.

Tested on:
Ubuntu GNOME 17.04 x64
GNOME 3.24.1
Linux kernel 4.10.0-20-generic
libwebkit2gtk-4.0-37 (version 2.61.1-1)
epiphany 3.24.1-0ubuntu1

Jesse (jessedubord) wrote :

UPDATE: it seems when I tried to use the "Software Updater" tool in Ubuntu GNOME, it said my system was up to date, so I was assuming I had the updated webkit packages. When I opened a terminal and "sudo apt update", it said 6 package updates were available. Lo and behold, the webkit libraries were among them. I performed "sudo apt upgrade" and installed the updates, and the fixed worked flawlessly for GOA and Epiphany.

I think there might be an issue if the Software Update tool isn't registering those updated packages -- a lot of users are going to hit the same bump in the road that I did.

Jeremy Bicha (jbicha) wrote :

Jesse, that behavior in Software Updater is intentional.

https://wiki.ubuntu.com/PhasedUpdates

Jeremy Bicha (jbicha) wrote :

Fixed in Ubuntu 17.10 Alpha "artful" now that the sphinx autopkgtest was fixed.

Changed in webkit2gtk (Ubuntu):
status: Fix Committed → Fix Released
cueball (adam-adamoxford) wrote :

Confirmed working as intended in 17.04 here. Thanks all, much appreciated.

Jonathan Gossage (jgossage) wrote :

I am still experiencing this problem in 17.04 after trying to install the fix. Can someone please tell me the full name of the Ubuntu package that contains the fix so I can verify that I actually have it.

Hey guys,
   I found another way to make it work if you're still using the one
with the bug. First you need to change the way you connect to google.
No more email but sms!
you have to go to google website in your account
https://myaccount.google.com/signino...ign-in/welcome

(connexion and security => connect to google)

Your android phone have to use this account. (google will send sms to
this phone.) Then when you've finish this procedure , every time you'll
connect something like a computer to google, you'll recieve a sms.
so now, in gnome online : add a google account, enter the mail adress
then you will recieve a sms to confirm the conection ,and gnome don't
need a password, it will connect.
Once gnome is connected, if you want, you can change the preference in
your google account to use password instead of sms

That works like a charm

Pablo (itu-pablo) wrote :

I can confirm the fix works for me on 17.04.
For those trying to find out how to fix: upgrade the package libwebkit2gtk-4.0-37 to latest version.

Jesse (jessedubord) wrote :

You'll have to upgrade from Terminal: sudo apt update && sudo apt upgrade

The Ubuntu updater tool won't acknowledge the new packages, for whatever reason.

Jeremy Bicha (jbicha) wrote :

Jesse, that's part of Phased Updates. See the link in comemnt #58. But it looks like the update is fully phased now.

Marco de Bock (bockbock) wrote :

On an Ubuntu 17.04 installation, using GNOME desktop (added afterwards), the update did not install using software update center. I needed sudo apt update && sudo apt upgrade to get the new version with the fixes. Google authentication now works in both Online Accounts and in Evolution.
If you want to check first: do a sudo apt update followed by apt list --upgradable. It should list libwebkit2gtk-4.0-37 amongst others.

Changed in webkit2gtk (Debian):
status: Unknown → Fix Released
francesco (francesco-sibilla) wrote :

On Ubuntu 16.04 Linux 4.4.0-81-generic #104-Ubuntu SMP Wed Jun 14 08:17:06 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux as guest on VirtualBox Version 5.1.10 r112026 (Qt5.6.2)
After
$ gnome-control-center online-accounts
when trying to add a Google account, the page that should ask user/password is all blank, same for Microsoft account, but not Facebook.

As a workaround I removed the 3D acceleration on screen from virtual machine configuration and now the page with user/password displays all right.

As a counter check I set the 3D acceleration back and the page is blank again.

Please note that the webkit2gtk is already at latest version, which should have fixed the bug
$ sudo dpkg -l | grep libwebkit2gtk
ii libwebkit2gtk-4.0-37:amd64 2.16.3-0ubuntu0.16.04.1 amd64 Web content engine library for GTK+
ii libwebkit2gtk-4.0-37-gtk2:amd64 2.16.3-0ubuntu0.16.04.1 amd64 Web content engine library for GTK+ - GTK+2 plugin process

I'm using standard Ubuntu 16.04 desktop with Unity.
Please find "Blank account user-password page" attachment.

Jeremy Bicha (jbicha) wrote :

francesco, please open a new bug for your issue.

Jeffrey Flaker (jflaker) wrote :

Would .Xauthority or .ICEauthority have any bearing on this? I've had issues with other things in the past and logging out, logging into another tty, removing said files and logging back in usually fixed things.

Just for the heck of it, I tried the above and I was able to log in and it works now.

Simon (simontipping21) wrote :

This may help all affected...

I used https://www.google.com/accounts/DisplayUnlockCaptcha and then worked through the sign in dialogue in Evolution. This got it up an running for me.

I'm not even able to push the "Add account" button, it's inactive and no dialog windows appear when I click it :(

Jeremy Bicha (jbicha) wrote :

Kristina, you need to file a new bug if you want your issue to be seen.

This bug has already been fixed and closed.

Simon Lammer (lammer-simon) wrote :

Getting a blank window after entering mail and password when trying to add my google account on a fresh ubuntu gnome 17.04 installation.

Simon Lammer (lammer-simon) wrote :

"apt-get update && apt-get upgrade" fixed the issue...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.